package data

import (
	"testing"
	"voucher/internal/conf"
)

func TestNewWechat(t *testing.T) {
	c := &conf.Bootstrap{
		Wechat: &conf.Wechat{
			MchID:                      "123456",
			MchCertificateSerialNumber: "123456",
			WechatPayPublicKeyID:       "123456",
			Name:                       "lsxd-test",
		},
	}
	got, err := NewWx(c)
	if err != nil {
		t.Errorf("NewWx() error = %v", err)
		return
	}
	t.Logf("NewWx() = %v", got)
}
